D4Science Infrastructure - VM Creation #10348

Installation of Virtuoso Triplestore in the infrastructure

Nov 15,2017 01:11 PM - Yannis Marketakis

Status: Closed
Priority: Normal
Assignee: _InfraScience Systems Engineer

Target version: No Sprint

Infrastructure: Development, Pre-Production,
Production

RAM: 8

CPU: 4

DiskSpace: 50

Smartgears: No

Smartgears Version:

Application
Instructions:

Smartgears scopes:

Start date: Nov 15, 2017
Due date:
% Done: 100%

Applications list and virtuoso, latest version
version:

Applications context
path:

External storage data
disk:

Smartgears auth
connector:

data transfer
enabled:

PostgreSQL
database:

Number of VMs: 1

Description

So far we have a running triplestore in the infrastructure (http://virtuoso.i-marine.d4science.org:8890).

It is based on open source virtuoso (http://vos.openlinksw.com/owiki/wiki/VOS) and contains:

e the MarineTLO-based warehouse
¢ GRSF

We would like to ask for a new running instance that will host the RDF contents of the CKAN resource catalog (extracted using the

ckanext-dcat plugin - #7441).

Unfortunately reusing the current instance (and storing data in different graphspaces) is not possible, since we want to exploit the
functionalities offered by the virtuoso faceted browser plugin for discovering catalog resources using their RDF descriptions, which
does not differentiate resources coming from different graphspaces. As a result we will retrieve ALL the data of the triplestore (and

not only the resource catalog ones)

History

#1 - Nov 20, 2017 04:24 PM - Andrea Dell'’Amico

- Tracker changed from Support to VM Creation

- Status changed from New to In Progress

- Target version changed from A new storage system to No Sprint
- RAM set to 8

-CPUsetto4

- DiskSpace set to 50

- Smartgears set to No

- Applications list and version updated

- Number of VMs set to 1

#2 - Nov 20, 2017 05:41 PM - Andrea Dell'Amico

hostname and IP address are going to be virtuoso-grsf.d4science.org 146.48.123.160
#3 - Nov 20, 2017 06:33 PM - Andrea Dell'Amico
- % Done changed from 0 to 30

Provisioning in progress.

#4 - Nov 20, 2017 07:20 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 30 to 100

https://virtuoso-grsf.d4science.org is online. There's no valid X.509 certificate yet, it will be emitted in the next days.

#5 - Nov 21, 2017 10:31 AM - Yannis Marketakis
Thanks Andrea,

| confirm that virtuoso is up and running properly.
Furthermore, we installed FCT (https://virtuoso-grsf.d4science.org/fct/) and iSpargl plugins (https:/virtuoso-grsf.d4science.org/isparql/).

One minor comment: since this endpoint is intended to host all the contents of the resource catalogue and not only the GRSF ones, should we
rename it to something more generic (i.e. virtuoso-catalogue) ?

#6 - Nov 22, 2017 03:36 PM - Andrea Dell'Amico
I'm going to add it as a CNAME.

#7 - Nov 22, 2017 03:43 PM - Andrea Dell'’Amico

Done. You can reach the service as https:/virtuoso-catalogue.d4science.org/ (still no valid certificate).

#8 - Nov 22, 2017 04:03 PM - Yannis Marketakis
- Status changed from Feedback to Closed

Great thanks
